metadata:
  id: dokuwiki
  name:
    en: DokuWiki
  version: 0.1.0
  displayVersion: 2024-02-06b-ls250
  category:
    af: Media
    ar: وسائط
    ca: Medis
    cs: Media
    da: Media
    de: Medien
    el: Πολυμέσα
    en: Media
    es: Multimedia
    fi: Media
    fr: Médias
    he: Media
    hu: Média
    it: Media
    ja: メディア
    ko: 미디어
    nl: Media
    no: Media
    pl: Media
    pt: Multimédia
    ro: Media
    ru: Медиа
    sr: Media
    sv: Medier
    tr: Medya
    uk: Медіа
    vi: Phương tiện truyền thông
    zh: 媒體
  tagline:
    en: 'DokuWiki is a simple to use and highly versatile Open Source wiki software '
  developers: {}
  description:
    en: DokuWiki is a simple to use and highly versatile Open Source wiki software that doesn't require a database. It is loved by users for its clean and readable syntax. The ease of maintenance, backup and integration makes it an administrator's favorite. Built in access controls and authentication connectors make DokuWiki especially useful in the enterprise context and the large number of plugins contributed by its vibrant community allow for a broad range of use cases beyond a traditional wiki.
  basePermissions:
  - builtin/network/cluster-egress
  - builtin/network/local-net
  hasPermissions:
  - builtin/network/cluster-egress
  - builtin/network/local-net
  exposesPermissions: []
  repos:
    Source code: https://github.com/dokuwiki/dokuwiki
  support: https://www.dokuwiki.org/dokuwiki
  icon: https://raw.githubusercontent.com/runtipi/runtipi-appstore/master/apps/dokuwiki/metadata/logo.jpg
  defaultPassword: null
  license: Unknown
  volumes:
    data:
      minimum_size: 1073741824
      recommended_size: 5368709120
      name:
        en: App data
      description:
        en: All data generated by the app
  ports: []
  runtime: !Plugin tipi
  allowedScopes:
  - User
  defaultScope: User
  storePlugins: []
  uiModule: null
  supportsIngress: true
  canBeProtected: true
  saasCompatibility: Unknown
  rawIngress: false
  postInstallRedirect: null
  components: []
  isCitadel: false
  preloadType: !MainVolumeFromSubdir data
containers:
  dokuwiki: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command: null
      entrypoint: null
      environment:
        TZ: !StringLike UTC
      hostname: null
      image: lscr.io/linuxserver/dokuwiki:2024-02-06b-ls250
      privileged: false
      restart: null
      stop_grace_period: null
      uid: null
      gid: null
      volumes:
      - !Longhorn
        name: data
        mount_path: /config
        sub_path: data/config
        is_readonly: false
        from_app: null
        from_ns: null
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels:
        uses-compat-layer: tipi
    middlewares: {}
services:
  dokuwiki:
    target_container: dokuwiki
    type: ClusterIp
    ports:
      udp: {}
      tcp: {}
    cluster_ip: None
    network_policy: null
  dokuwiki-nirvati-ingress:
    target_container: dokuwiki
    type: ClusterIp
    ports:
      udp: {}
      tcp:
        80: 80
    cluster_ip: null
    network_policy: null
ingress:
- target_service: dokuwiki-nirvati-ingress
  target_ns: null
  target_app: null
  path_prefix: null
  target_port: 80
  type: Https
  enable_compression: false
  strip_prefix: false
  auth_exclude: false
  component: null
plugins: {}
secrets: []
custom_resources: []
app_network_policy:
  ingress:
    allow_world:
      allow: true
      allowed_ports: null
    allow_cluster:
      allow: false
      allowed_ports: null
    allow_same_ns:
      allow: true
      allowed_ports: null
    cidrs: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: tipi
      allowed_ports: null
      all_namespaces: true
  egress:
    allow_cluster: false
    allow_same_ns: true
    allow_kube_api: false
    allow_world: true
    allow_local_net: true
    dns:
      allow: true
      allowed_lookup_names: null
      allowed_lookup_pattern: null
    fqdns: []
    cidrs: []
    services: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: tipi
      allowed_ports: null
      all_namespaces: true
other: []
